[Mongrel] problems with 'localization simplified'

Luca Reghellin lists at ruby-forum.com
Sat Oct 27 08:40:03 EDT 2007


Hi you all! I've got Mongrel saying this when I use the localization
simplified plug-in: any idea?

** Loading any Rails specific GemPlugins
Exiting
/opt/local/lib/ruby/vendor_ruby/1.8/rubygems/source_index.rb:92:in
`load_specification':
/Users/stratboy/Documents/05_SAMPLES/RAILS/newser/vendor/plugins/l10n-simplified-0.8/lib/localization_simplified.rb:13:in
`gsub!': can't convert nil into String (TypeError)
        from
/Users/stratboy/Documents/05_SAMPLES/RAILS/newser/vendor/plugins/l10n-simplified-0.8/lib/localization_simplified.rb:13:in
`localize_strftime'
        from
/Users/stratboy/Documents/05_SAMPLES/RAILS/newser/vendor/plugins/l10n-simplified-0.8/lib/localization_simplified.rb:191:in
`strftime'
        from
/opt/local/lib/ruby/vendor_ruby/1.8/rubygems/specification.rb:13:in
`today'
        from
/opt/local/lib/ruby/vendor_ruby/1.8/rubygems/specification.rb:314:in
`date='
        from
/opt/local/lib/ruby/vendor_ruby/1.8/rubygems/specification.rb:416:in
`send'
        from
/opt/local/lib/ruby/vendor_ruby/1.8/rubygems/specification.rb:416:in
`initialize'
        from
/opt/local/lib/ruby/vendor_ruby/1.8/rubygems/specification.rb:412:in
`each'
        from
/opt/local/lib/ruby/vendor_ruby/1.8/rubygems/specification.rb:412:in
`initialize'
         ... 31 levels...
        from
/opt/local/lib/ruby/gems/1.8/gems/rails-1.2.4/lib/commands/server.rb:39
        from
/opt/local/lib/ruby/vendor_ruby/1.8/rubygems/custom_require.rb:27:in
`gem_original_require'
        from
/opt/local/lib/ruby/vendor_ruby/1.8/rubygems/custom_require.rb:27:in
`require'
        from script/server:3
-- 
Posted via http://www.ruby-forum.com/.


More information about the Mongrel-users mailing list